<?xml version="1.0"?>
<package format="2">
  <name>torque_qp</name>
  <version>0.0.1</version>
  <description>Interface to talk with a Panda robot</description>
  <maintainer email="lucas.joseph@inria.fr">Lucas Joseph</maintainer>
  <license>Apache 2.0</license>

  <author>Lucas Joseph</author>

  <buildtool_depend>catkin</buildtool_depend>
  <depend>pinocchio</depend>
  
  <build_depend>message_generation</build_depend>
  <build_depend>franka_control</build_depend>
  <build_depend>message_generation</build_depend>
  <build_depend>roscpp</build_depend>
  
  // Controller 
  <build_depend>eigen</build_depend>
  <build_depend>qpOASES</build_depend>
  <build_depend>qp_solver</build_depend>
  <build_depend>eigen_conversions</build_depend>	
  <build_depend>nav_msgs</build_depend>
  <build_depend>std_msgs</build_depend>

  <depend>controller_interface</depend>
  <depend>franka_hw</depend>
  <depend>hardware_interface</depend>
  <depend>libfranka</depend>
  <depend>pluginlib</depend>
  <depend>realtime_tools</depend>
  <depend>geometry_msgs</depend>
  <depend>panda_traj</depend>

  
  <build_export_depend>roscpp</build_export_depend>
  <build_export_depend>gazebo_ros</build_export_depend>

  <exec_depend>franka_control</exec_depend>
  <exec_depend>message_runtime</exec_depend>
  <exec_depend>rospy</exec_depend>
  <exec_depend>gazebo_ros</exec_depend>
  <exec_depend>roscpp</exec_depend>
  
  <exec_depend>qpOASES</exec_depend>
  <exec_depend>eigen_conversions</exec_depend>
  <exec_depend>nav_msgs</exec_depend>
  <exec_depend>sensor_msgs</exec_depend>
  <exec_depend>std_msgs</exec_depend>
  
  <export>
    <controller_interface plugin="${prefix}/torque_qp_plugin.xml"/>
    <gazebo_ros plugin_path="${prefix}/lib" gazebo_media_path="${prefix}" />
  </export>
</package>
